diff --git a/web/pgadmin/utils/sqlautocomplete/autocomplete.py b/web/pgadmin/utils/sqlautocomplete/autocomplete.py
index 259c15e..baf2146 100644
--- a/web/pgadmin/utils/sqlautocomplete/autocomplete.py
+++ b/web/pgadmin/utils/sqlautocomplete/autocomplete.py
@@ -252,7 +252,14 @@ class SQLAutoComplete(object):
 
         result = dict()
         for m in matches:
-            result[m.completion.display] = {'object_type': m.completion.display_meta}
+            # Escape name only if meta type is not a keyword and datatype.
+            if m.completion.display_meta != 'keyword' and \
+                            m.completion.display_meta != 'datatype':
+                name = self.escape_name(m.completion.display)
+            else:
+                name = m.completion.display
+
+            result[name] = {'object_type': m.completion.display_meta}
 
         return result
 
